Home » Visual StudioRSS

Microsoft .NET framework 2.0 Service Pack 1 cannot be uninstalled because it will affect other appli

Trying to free up 1/2 a gig of memory Smile

Hi Support,

In Feb 2008, I installed the MS Visual Basic.NET editor for C++ from the MS website for a class.
(I also installed:  the library and SQL packages, along with the Visual Basic programs.

Now that the class is over, I have removed everything except the 'Microsoft .NET framework 2.0 Service Pack 1' & 'Microsoft .NET framework 3.0 Service Pack 1'
and I get the following error message:

Error Message:
Microsoft .NET framework 2.0 Service Pack 1 cannot be uninstalled because it will affect other applications that are installed.  For more information, see
http://go.microsoft.com/fwlink/?LinkID=91126

Microsoft .NET framework 3.0 Service Pack 1 cannot be uninstalled because it will affect other applications that are installed.  For more information, see
http://go.microsoft.com/fwlink/?LinkID=91126


Is there anything I can do?  Thanks!!

 

5 Answers Found

 

Answer 1

Hi,

I have a similar situation where I want to install SQL Express 2005 but got the error message that you got: .Net 2.0 & 3.0 cannot be uninstalled  because it will affect  other applications. Did you figure out how to resolve the issue? Thank you!

 

Answer 2

I can't be sure if its the same thing but I've had similar issues with .NET installs (2.0 and 1.1) before and the only thing that fixed it in the end was a fresh copy of Windows.

If you haven't already, try reinstalling over the top and then uninstalling. Be warned though if you're having the same issue I did you won't be able to do this either.

Good luck!
 

Answer 3

Trying to free  up 1/2 a gig of memory  Smile

Hi Support,

In Feb 2008, I installed the MS Visual Basic.NET editor for C++ from the MS website for a class.
(I also installed:  the library and SQL packages, along with the Visual Basic programs.

Now that the class is over, I have removed everything except the 'Microsoft .NET framework  2.0 Service pack  1' & 'Microsoft .NET framework 3.0 Service Pack 1'
and I get the following error message:

Error Message:
Microsoft .NET framework 2.0 Service Pack 1 cannot be uninstalled  because it will affect  other applications that are installed.  For more information, see
http://go.microsoft.com/fwlink/?LinkID=91126

Microsoft .NET framework 3.0 Service Pack 1 cannot be uninstalled because it will affect other applications that are installed.  For more information, see
http://go.microsoft.com/fwlink/?LinkID=91126


Is there anything I can do?  Thanks!!
just try this, if you have NET FRAMEWORK 3.5 uninstall that one first and then the 3.0 followed by the 2.0
 

Answer 4

Thanks, this did the trick for me.
 

Answer 5

I know this thread is old but I'm having a really crappy problem with 1.1 and am wondering if you would share with me what problem you were having. My email address is mt02v@hotmail.com.

 

Thanks for your time.

 

Mike

 
 
 

<< Previous      Next >>


Microsoft   |   Windows   |   Visual Studio   |   Follow us on Twitter